/* Copyright 2009 Palm, Inc.  All rights reserved. */

var PropertiesMojoService = Class.create( {
  initialize: function() {
  },
  
  get: function(names, callback, sceneController) {
    return sceneController.serviceRequest(PropertiesMojoService.identifier, {
		method: 'systemProperties/Get',
		parameters: names,
		onSuccess: callback,
		onFailure: callback
    });
  }
});

PropertiesMojoService.identifier = 'palm://com.palm.preferences';
